Issue 42685 - Importing MS Word 6.0 CJK files
Summary: Importing MS Word 6.0 CJK files
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 680m78
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-13 16:12 UTC by tono
Modified: 2013-08-07 14:42 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Patch to enable Word 6.0 CJK import (2.17 KB, patch)
2005-02-13 16:13 UTC, tono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description tono 2005-02-13 16:12:23 UTC
I once posted a patch to fix MS Word 6.0 CJK version (issue #17498).

Most part of the patch is now included in 680 codeline but it is still 
incomplete.

The problems left are:

1. CJK font switching exceptions are ingored.
2. Section exception before the first text node is ignored.

I will post a patch file to fix them.
Comment 1 tono 2005-02-13 16:13:57 UTC
Created attachment 22559 [details]
Patch to enable Word 6.0 CJK import
Comment 2 michael.ruess 2005-02-14 12:40:17 UTC
MRU->MMAHER: please evaluate, if this is kind of worthy for the code. Thanks!
Comment 3 martin_maher 2005-04-13 16:59:50 UTC
mmaher->flr: Yours I think
Comment 4 flr 2006-03-15 16:05:35 UTC
flr:
Hi,
can you attach a bugdoc, which shows the problems fixed by this patch, so that
the patch can be reviewed?

Thanks.

P.S.
Sorry for the long inactivity time. Seems that "good things take a while..." ;-(
Comment 5 stx123 2006-08-08 15:46:49 UTC
Hi "tono", could you help us with a bugdoc? It would be great to see a document
attached to this issue to support the review.
Comment 6 tono 2006-08-10 11:43:24 UTC
@st:

The example doccuments are attached to the original issue #17498.
Aren't they enough or should be attached again to this issue?

tono (Takashi Ono)
 
Comment 7 stx123 2006-08-10 19:35:59 UTC
Thanks for the hint; let's see whether this works...
Comment 8 michael.ruess 2006-08-11 12:21:41 UTC
Reassigned to HRINKM as long as he took over the filter stuff from FLR.
Comment 9 openoffice 2006-09-01 11:33:22 UTC
Applied patch, now verifying...
Comment 10 openoffice 2006-09-05 08:32:46 UTC
After loading document paper size changed from A4 to Letter. Please review patch.
Comment 11 tono 2006-09-10 13:08:09 UTC
@hbrinkm: The patch never changes paper size if recorded. The patch leaves the 
paper size to default if not recorded. For writer document object, the default 
is letter. Maybe it is better to set the paper size to user prefered local 
default but this situation will only occur on .doc created by wordpad.

tono (Takashi Ono)
Comment 12 openoffice 2006-09-20 12:53:51 UTC
@tonno: Your right. The install sets I compared had different language
environments. => fixed
Comment 13 openoffice 2006-10-26 15:30:33 UTC
ready for QA
Comment 14 michael.ruess 2006-10-31 15:46:04 UTC
Verified in CWS tl28. At least the test documents from issue 17498 can be opened
without any problems.
Comment 15 michael.ruess 2006-12-08 15:00:52 UTC
Closed. Integrated since OO 2.1 RC2.